Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web
Class PassThroughFilterChain

    java.lang.Object
      org.springframework.mock.web.PassThroughFilterChain

All Implemented Interfaces:
  javax.servlet.FilterChain

    public class PassThroughFilterChain

extends java.lang.Object
implements javax.servlet.FilterChain

Implementation of the `FilterConfig` interface which simply passes the call through to a given Filter/FilterChain combination (indicating the next Filter in the chain along with the FilterChain that it is supposed to work on) or to a given Servlet (indicating the end of the chain).

Since:
  2.0.3
Author:
  Juergen Hoeller
See Also:
  `Filter`, `Servlet`, `MockFilterChain`

Constructor Summary
`PassThroughFilterChain(javax.servlet.Filter filter, javax.servlet.FilterChain nextFilterChain)` Create a new PassThroughFilterChain that delegates to the given Filter, calling it with the given FilterChain.
`PassThroughFilterChain(javax.servlet.Servlet servlet)` Create a new PassThroughFilterChain that delegates to the given Servlet.

Method Summary
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` Pass the call on to the Filter/Servlet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassThroughFilterChain

    public PassThroughFilterChain(javax.servlet.Filter filter,
                                  javax.servlet.FilterChain nextFilterChain)

  Create a new PassThroughFilterChain that delegates to the given Filter, calling it with the given FilterChain.

  Parameters:
    `filter` - the Filter to delegate to
    `nextFilterChain` - the FilterChain to use for that next Filter

### PassThroughFilterChain

    public PassThroughFilterChain(javax.servlet.Servlet servlet)

  Create a new PassThroughFilterChain that delegates to the given Servlet.

  Parameters:
    `servlet` - the Servlet to delegate to

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Pass the call on to the Filter/Servlet.

  Specified by:
    `doFilter` in interface `javax.servlet.FilterChain`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD